package com.sunxung.factoring.entity.supplier;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

/**
 * <p>
 * 严重违法
 * </p>
 *
 * @author liutao
 * @since 2023-12-05
 */
@TableName("serious_illegality")
public class SeriousIllegality {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * c端 供应商企业信息id
     */
    @TableField("c_supplier_info_id")
    private Long cSupplierInfoId;

    /**
     * c端 企业信息id
     */
    @TableField("c_enterprise_id")
    private Long cEnterpriseId;

    /**
     * sop端 严重违法明细id
     */
    @TableField("c_serious_illegal_data_id")
    private Long cSeriousIllegalDataId;

    /**
     * 列入日期，精确到天，如“2022-01-01
     */
    @TableField("add_date")
    private String addDate;

    /**
     * 作出决定机关(列入)
     */
    @TableField("add_office")
    private String addOffice;

    /**
     * 列入严重违法失信企业名单原因
     */
    @TableField("add_reason")
    private String addReason;

    /**
     * 严重违法 0 否 1 是
     */
    @TableField("serious_illegality")
    private Integer seriousIllegality;

    /**
     * 视频尽调-严重违法 0 否 1 是
     */
    @TableField("video_due_diligence_serious_illegality")
    private Integer videoDueDiligenceSeriousIllegality;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getcSupplierInfoId() {
        return cSupplierInfoId;
    }

    public void setcSupplierInfoId(Long cSupplierInfoId) {
        this.cSupplierInfoId = cSupplierInfoId;
    }
    public Long getcEnterpriseId() {
        return cEnterpriseId;
    }

    public void setcEnterpriseId(Long cEnterpriseId) {
        this.cEnterpriseId = cEnterpriseId;
    }
    public Long getcSeriousIllegalDataId() {
        return cSeriousIllegalDataId;
    }

    public void setcSeriousIllegalDataId(Long cSeriousIllegalDataId) {
        this.cSeriousIllegalDataId = cSeriousIllegalDataId;
    }
    public String getAddDate() {
        return addDate;
    }

    public void setAddDate(String addDate) {
        this.addDate = addDate;
    }
    public String getAddOffice() {
        return addOffice;
    }

    public void setAddOffice(String addOffice) {
        this.addOffice = addOffice;
    }
    public String getAddReason() {
        return addReason;
    }

    public void setAddReason(String addReason) {
        this.addReason = addReason;
    }
    public Integer getSeriousIllegality() {
        return seriousIllegality;
    }

    public void setSeriousIllegality(Integer seriousIllegality) {
        this.seriousIllegality = seriousIllegality;
    }
    public Integer getVideoDueDiligenceSeriousIllegality() {
        return videoDueDiligenceSeriousIllegality;
    }

    public void setVideoDueDiligenceSeriousIllegality(Integer videoDueDiligenceSeriousIllegality) {
        this.videoDueDiligenceSeriousIllegality = videoDueDiligenceSeriousIllegality;
    }

    @Override
    public String toString() {
        return "SeriousIllegality{" +
            "cSupplierInfoId=" + cSupplierInfoId +
            ", cEnterpriseId=" + cEnterpriseId +
            ", cSeriousIllegalDataId=" + cSeriousIllegalDataId +
            ", addDate=" + addDate +
            ", addOffice=" + addOffice +
            ", addReason=" + addReason +
            ", seriousIllegality=" + seriousIllegality +
            ", videoDueDiligenceSeriousIllegality=" + videoDueDiligenceSeriousIllegality +
        "}";
    }
}
